package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.MTCompanyUser;
import cn.com.ty.lift.system.user.dao.entity.model.MTCompany;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author huangyuan
 * @date 2019-12-03
 * @description
 */
public interface IMTCompanyUserService extends IService<MTCompanyUser> {
    /**
     * @description 分配角色和职业
     * @date 2019/11/27 10:03 AM
     * @param mtCompany userId:用户id, roleId:角色id, job职业, companyId公司id
     * @return
     */
    RestResponse assignRole(MTCompany mtCompany);

    /**
     * @description 获取公司团队信息
     * @date 2019/11/27 10:03 AM
     * @param mtCompany:公司id
     * @return
     */
    RestResponse getCompanyMembers(MTCompany mtCompany);
}
